using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;

class Program
{





    static void Main()
    {
        string []ulaz = Console.ReadLine().Split();
        int n=int.Parse(ulaz[0]);
        int l=int.Parse(ulaz[1]);
        int p=0;
        int postoji = 0;
       
        int br = 0;
        string[] stalaktiti = Console.ReadLine().Split();
        for (int i = 0; i < n; i++)
        {
             p = int.Parse(stalaktiti[i]);
            br++;
            if(p<l)
            {
                Console.Write(br);
                postoji = 1;
                return;
                
            }
          
        }
        if (postoji != 1)
        {
            Console.WriteLine(-1);
        }
        








        
    }
}